### Name: eddObsolete
### Title: expression density diagnostics:
### Aliases: eddObsolete fq.matrows makeCandmat.theor s.rmix1norm
###   s.rmix2norm mkt testcl
### Keywords: models

### ** Examples

require(Biobase)
data(eset)
print(summary(eddObsolete(eset,k=10,l=2)))

# 6 x 20 x 50 test problem
set.seed(1234)
test <- matrix(NA,nr=120,nc=50)
test[1:20,] <- rnorm(1000)
test[21:40,] <- rt(1000,3)
test[41:60,] <- rexp(1000,4)
test[61:80,] <- rmixnorm(1000,.750,0,1,4,1)
test[81:100,] <- runif(1000)
test[101:120,] <- rlnorm(1000)
labs <- c(rep("n01",20),rep("t3",20),
rep("exp",20),rep("mix1",20),rep("u01",20),rep("ln01",20))

TT <- new("exprSet", exprs=test) # should require phenoData
multrun <- eddObsolete( TT, k=10, l=2 )
print(table(given=labs, multiCand=multrun))
netrun <- eddObsolete( TT, ref="nnet" )
print(table(given=labs, netout=netrun))
newrun <- edd( TT, meth="nnet", size=10, decay=.2 )
print( table( given=labs, newout=newrun ) )
newrun <- edd( TT, meth="test" )
print( table( given=labs, newout=newrun ) )




