### Name: maNormMain
### Title: Main function for location and scale normalization of cDNA
###   microarray data
### Aliases: maNormMain
### Keywords: smooth methods

### ** Examples

# Examples use swirl dataset, for description type ? swirl
data(swirl)

# Within-print-tip-group loess location normalization of batch swirl
# - Default normalization
swirl.norm<-maNormMain(swirl)

## Only do the plotting if we have marrayPlots.  Record if
## we have it or not in 'haveMP' boolean variable
haveMP <- FALSE
if (require("marrayPlots", quietly=TRUE)) {
   haveMP <- TRUE
   maBoxplot(swirl.norm)
   maBoxplot(swirl.norm[,3])
   maPlot(swirl.norm[,3])
   maImage(swirl.norm, x="maMloc")
   maImage(swirl.norm, x="maM")
} 

# 2D spatial location normalization of array 93
swirl.norm <- maNormMain(swirl[,3], f.loc = list(maNorm2D()))

if (haveMP) {
  maImage(swirl, x="maM")
  maImage(swirl.norm, x="maMloc")
  maImage(swirl.norm, x="maM")
}

# Global median normalization for arrays 81 and 82
swirl.norm <- maNormMain(swirl[,1:2], f.loc = list(maNormMed(x=NULL,y="maM")))

# Global loess normalization for array 81
swirl.norm <- maNormMain(swirl[,1], f.loc = list(maNormLoess(x="maA",y="maM",z=NULL)))

# Composite normalization as in Yang et al. (2002)
# No MSP controls are available here, so all spots are used for illustration
# purposes
swirl.norm <- maNormMain(swirl[,1], f.loc = list(maNormLoess(x="maA",y="maM",z=NULL),maNormLoess(x="maA",y="maM",z="maPrintTip")), a.loc=maCompNormA())




