### Name: hdf5.overview
### Title: HDF5 Interface Library for R
### Aliases: hdf5
### Keywords: documentation

### ** Examples

## Not run:   # Load the HDF5 library 
##D   library(rhdf5)
##D   # Attach open or create an HDF5 file to the variable "mad."
##D   mad <- hdf5.open("microarray.h5")
##D   # Create a new group inside the file
##D   hdf5.group(mad,"chip1")
##D   hdf5.dataset(mad$chip1,"raw", dim=c(534,534))
##D 
##D   raw <- mad$chip1$raw
##D   for(i in 1:534) 
##D       { raw[i,1:534] <- runif(534) }
##D 
##D  # Draw an image of our chip. About 17megs if you try it! 
##D   image(raw[1:534,1:534])        
## End(Not run)


