### Name: min.hdf5.dataset
### Title: Compute various useful quantities on HDF5 datasets.
### Aliases: min.hdf5.dataset max.hdf5.dataset range.hdf5.dataset
###   length.hdf5.dataset
### Keywords: math

### ** Examples

 ## Not run: 
##D  set.seed(321)   
##D   xx <- hdf5.dataset(mad, "aab", dim=c(10, 10))
##D   xx[]<-rnorm(100)
##D   xx ##10x10 matrix of reals
##D   min(xx)  ## [1] -1.932862
##D   max(xx)  ## [1] 2.711432
##D   range(xx) ##[1] -1.932862  2.711432
##D   xx[5,5] <- NA
##D   min(xx) ##[1] NA
##D   min(xx,na.rm=TRUE)  ##[1] -1.932862
## End(Not run)


